<?php

/**
 * Typography options
 *
 * @package Theme Palace
 * @subpackage Daily Insight Pro
 * @since Daily Insight Pro 1.0
 */

// Typography
$wp_customize->add_section( 'daily_insight_pro_section_typography',
	array(
		'title'      		=> esc_html__( 'Typography', 'daily-insight-pro' ),
		'priority'   		=> 600,
		'panel'      		=> 'daily_insight_pro_theme_options_panel',
	)
);

$wp_customize->add_setting( 'daily_insight_pro_theme_options[theme_typography]',
	array(
		'default'    		=> $options['theme_typography'],
		'sanitize_callback'	=> 'daily_insight_pro_sanitize_select',
	)
);
$wp_customize->add_control( 'daily_insight_pro_theme_options[theme_typography]',
    array(
		'label'       		=> esc_html__( 'Choose Typography', 'daily-insight-pro' ),
		'section'     		=> 'daily_insight_pro_section_typography',
		'settings'    		=> 'daily_insight_pro_theme_options[theme_typography]',
		'type'		  		=> 'select',
		'choices'			=> daily_insight_pro_typography_options(),
    )
);